=== debian/tests/control ===
Tests: ldap-user-group-ldap-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release
Restrictions: isolation-container, needs-root, allow-stderr

Tests: ldap-user-group-krb5-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release, krb5-user, krb5-admin-server, krb5-kdc
Restrictions: isolation-container, needs-root, allow-stderr
