## sssd 2.7.3

=== debian/changelog ===
sssd (2.7.3-2ubuntu2) kinetic; urgency=medium

  * d/p/initialize-uid-gid-main-functions.patch: Initialize UID/GID
    variables in "main" functions, preventing inadvertent changes in
    p11_child.log file permissions. (LP: #1989356)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 04 Oct 2022 19:00:49 -0400

sssd (2.7.3-2ubuntu1) kinetic; urgency=medium
    
  * Merge with Debian unstable (LP: #1987348, #1988615). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Add changes:
    - Revert dh_nss usage; the feature is still being polished.
      + d/control: Don't Build-Depend on dh-sequence-installnss.
      + d/libnss-sss.nss: Remove file.
      + d/libnss-sss.postinst: Revert changes to use dh-nss.
      + d/libnss-sss.postrm: Likewise.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 06 Sep 2022 13:56:06 -0400

sssd (2.7.3-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * patches: Allow building the pac_responder with krb5 1.20. (Closes:
    #1016220)

  [ Gioele Barabucci ]
  * d/libnss-sss.post{inst,rm}: Add DPKG_ROOT support
  * d/libnss-sss.postinst: Fix use of outdated `automounter` instead of `automount`
  * d/libnss-sss.nss: Install NSS service `sss` via dh_installnss

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Aug 2022 16:46:47 +0300

sssd (2.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jul 2022 08:52:58 +0300

sssd (2.7.2-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 23 Jun 2022 14:03:54 -0400

sssd (2.7.2-3) unstable; urgency=medium

  * d/p/fix-shebang-on-sss_analyze.patch: Fix shebang on sss_analyze.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 22 Jun 2022 11:00:11 -0400

sssd (2.7.2-2) unstable; urgency=medium

  * rules, install: Fix python install directory. (LP: #1979453)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 16:54:42 +0300

sssd (2.7.2-1) unstable; urgency=medium

  * New upstream release.
  * pac-relax-default-for-pac_check-option.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 13:19:27 +0300

sssd (2.7.1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971327, #1934997). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Dropped changes:
    - d/rules: Disable lto, not ready upstream.
    [ Incorporated by Debian ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 14 Jun 2022 16:59:20 -0400

sssd (2.7.1-2) unstable; urgency=medium

  * pac-relax-default-for-pac_check-option.diff: Drop pac_present from
    default PAC check. (Closes: #1012502)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Jun 2022 10:19:37 +0300

sssd (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop sssd-ipd from sssd-ipa depends.
  * sssd-common.install: Add a new manpage.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jun 2022 16:32:34 +0300

sssd (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update signing-key.asc.
  * source: Update diff-ignores.
  * control, rules: Add sssd-idp package, which includes plugins for
    external identity providers.
  * control, rules: Enable krb5 config snippets by default.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 12:59:05 +0300

sssd (2.6.3-3) unstable; urgency=medium

  * tests: Dump the daemon status after restart, hoping to see what the
    error is if it fails to start.
  * rules: Drop --with-ldb-dir, use the default value from the pkgconfig
    file. (Closes: #1009223)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 10 Apr 2022 10:57:30 +0300

sssd (2.6.3-2) unstable; urgency=medium

  * rules: Disable lto.
  * Rebuild against current python-defaults. (Closes: #1008583)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2022 10:04:50 +0300
