=== debian/control ===
--- 
+++ 
@@ -24,13 +24,16 @@
  libc-ares-dev,
  libcmocka-dev <!nocheck>,
  libcollection-dev,
+ libcurl4-openssl-dev,
  libdbus-1-dev,
  libdhash-dev,
  libgdm-dev [!s390x !kfreebsd-any !hurd-any !i386],
  libglib2.0-dev,
  libini-config-dev,
  libjansson-dev,
+ libjose-dev,
  libkeyutils-dev [linux-any],
+ libkrad-dev,
  libkrb5-dev (>= 1.12),
  libldap2-dev,
  libldb-dev,
@@ -152,6 +155,13 @@
  Provides the D-Bus responder called InfoPipe, that allows the information
  from the SSSD to be transmitted over the system bus.
 
+Package: sssd-idp
+Architecture: any
+Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: System Security Services Daemon -- Kerberos plugins for external id providers
+ Provides Kerberos plugins that are required to enable authentication against
+ external identity providers.
+
 Package: sssd-ipa
 Architecture: any
 Depends:
@@ -183,6 +193,8 @@
  sssd-krb5-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks: sssd-common (<< 2.7.0-1)
+Replaces: sssd-common (<< 2.7.0-1)
 Description: System Security Services Daemon -- Kerberos back end
  Provides the Kerberos back end that the SSSD can utilize authenticate
  against a Kerberos server.
@@ -357,17 +369,3 @@
 Section: libdevel
 Architecture: any
 Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
-Description: SSSD D-Bus responder helper library -- development files
- Provides library that simplifies D-Bus API for the SSSD InfoPipe responder.
- .
- This package contains header files and symlinks to develop programs which will
- use the libsss-simpleifp0 library.
-
-Package: python3-libipa-hbac
-Section: python
-Architecture: any
-Depends:
- libipa-hbac0 (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends}
