## sssd 2.7.4

=== debian/changelog ===
sssd (2.7.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Add bind9-dnsutils to sssd-common Recommends, and rename
    dnsutils build-dep. (Closes: #1018144)

  [ Sergio Durigan Junior ]
  * Simplify logic to add "automount" database into nsswitch.
    - d/libnss-sss.nss: Add "automount database" directive.
    - d/libnss-sss.postinst: Remove logic to insert "automount" database
      into nsswitch; not necessary anymore now that the package uses dh-nss.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Sep 2022 15:34:06 +0300
