## sssd 2.8.1

=== debian/changelog ===
sssd (2.8.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993448). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Drop changes:
    - Revert dh_nss usage; the feature is still being polished.
      + d/control: Don't Build-Depend on dh-sequence-installnss.
      + d/libnss-sss.nss: Remove file.
      + d/libnss-sss.postinst: Revert changes to use dh-nss.
      + d/libnss-sss.postrm: Likewise.
      [ Fixed in Debian. ]
    - d/p/initialize-uid-gid-main-functions.patch: Initialize UID/GID
      variables in "main" functions, preventing inadvertent changes in
      p11_child.log file permissions. (LP #1989356)
      [ Incorporated by upstream. ]
  * Add changes:
    - d/rules: Fix 'find' syntax to remove '*.egg-info'
      files/directories.
      [ Submitted to Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 03 Jan 2023 16:42:10 -0500

sssd (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated for current github behaviour.
  * support-krb5-1.20.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Nov 2022 10:10:41 +0200

sssd (2.7.3-2ubuntu4) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:42:49 +0000

sssd (2.7.3-2ubuntu3) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:56:34 +0000
