=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  debhelper-compat (= 12),
  dh-apparmor,
  dh-python,
- dnsutils,
+ dh-sequence-installnss,
+ bind9-dnsutils,
  docbook-xml,
  docbook-xsl,
  dpkg-dev (>= 1.16.1~),
@@ -111,6 +112,7 @@
  ${shlibs:Depends},
  adduser,
 Recommends:
+ bind9-dnsutils,
  bind9-host,
 Suggests:
  apparmor,
@@ -368,4 +370,3 @@
 Package: libsss-simpleifp-dev
 Section: libdevel
 Architecture: any
-Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
