=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 APIDOCDIR = /usr/share/sssd
 DISTRIBUTION = $(shell lsb_release -i | sed 's/.*:\t//')
-INIT = init
 PKGDATE = $(shell dpkg-parsechangelog | \
 	awk -F" " '/^Date/ { print $$4 "/" $$3 "/" $$5 }' | \
 	sed 's/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\//\\\//g')
@@ -72,12 +71,12 @@
 	install -m644 -D $(CURDIR)/debian/apparmor-profile \
 		$(CURDIR)/debian/sssd-common/etc/apparmor.d/usr.sbin.sssd
 
-	cat $(CURDIR)/debian/sssd-common.sssd.$(INIT).in > $(CURDIR)/debian/sssd-common.sssd.$(INIT)
-
 	# remove files we don't want to install
 	find $(CURDIR)/debian/tmp/ -name '*.la' -exec rm '{}' ';'
 	find $(CURDIR)/debian/tmp/ -name '*.pyc' -exec rm '{}' ';'
-	find $(CURDIR)/debian/tmp/ -name '*.egg-info' -exec rm '{}' ';'
+	# We need to use '+' instead of ';' due to the way 'find' and
+	# 'rm' interact with each other.
+	find $(CURDIR)/debian/tmp/ -name '*.egg-info' -exec rm -r '{}' '+'
 	rm -f $(CURDIR)/debian/tmp/etc/rc.d/init.d/sssd
 
 	# match nn/nn/nnnn, replace with the date from changelog
@@ -117,7 +116,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f $(CURDIR)/debian/sssd-common.$(INIT)
 	rm -f $(CURDIR)/po/*.gmo
 	rm -f $(CURDIR)/src/config/*.pyc
 	rm -f $(CURDIR)/po/stamp-po
