## sssd 2.8.2

=== debian/changelog ===
sssd (2.8.2-4+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2023-3758: Due to a race condition flaw the GPO policy is not
    consistently applied for authenticated users. (Closes: #1070369)
  * Add d/.gitlab-ci.yml for Salsa CI.
  * Add d/.gitignore file to exclude d/p/*.patch from upstream gitignore(5)'d
    rules.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 09 Feb 2025 11:45:11 +0100

sssd (2.8.2-4) unstable; urgency=medium

  [ Sam Morris ]
  * Don't add subid to /etc/nsswitch.conf (Closes: #1032990)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Apr 2023 15:19:36 +0300

sssd (2.8.2-3) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/libnss-sss.nss: Update to `database-add`
  * d/libsss-sudo.nss: Install `sss` service for sudoers via dh-nss (Closes: #783889)
  * d/libsss-sudo.post{inst,rm}: Remove now that the services are installed via dh-nss
  * d/sssd-common.nss: Use new directive name `database-add`
  * Install dbus policy in /usr instead of /etc (Closes: #1031547)

  [ Sam Morris ]
  * sssd-common: add lintian overrides for libsubid_sss.so

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 16:35:48 +0200

sssd (2.8.2-2) unstable; urgency=medium

  [ Sam Morris ]
  * Ship libsubid_sss.so in sssd-common package

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Feb 2023 17:48:19 +0200

sssd (2.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Feb 2023 17:40:37 +0200

sssd (2.8.1-2) unstable; urgency=medium

  * d/rules: Fix 'find' syntax to remove '*.egg-info' files/directories.
    (Closes: #1026490)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 03 Jan 2023 16:36:00 -0500
