=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sssd
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
  Dominik George <natureshadow@debian.org>
 Build-Depends:
@@ -28,7 +27,7 @@
  libcurl4-openssl-dev,
  libdbus-1-dev,
  libdhash-dev,
- libgdm-dev [!s390x !kfreebsd-any !hurd-any !i386],
+ libgdm-dev [!s390x !kfreebsd-any !hurd-any],
  libglib2.0-dev,
  libini-config-dev,
  libjansson-dev,
@@ -53,6 +52,7 @@
  libsemanage-dev [linux-any],
  libsmbclient-dev,
  libssl-dev,
+ libsubid-dev,
  libsystemd-dev [linux-any],
  libtalloc-dev,
  libtdb-dev,
@@ -231,7 +231,7 @@
  PAM modules to leverage SSSD caching.
 
 Package: sssd-tools
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: any
 Depends:
  python3,
  python3-sss,
@@ -354,7 +354,7 @@
 Package: libsss-sudo
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libnss-sudo, ${misc:Depends}, ${shlibs:Depends}
 Description: Communicator library for sudo
  Utility library to allow communication between sudo and SSSD for caching
  sudo rules by SSSD.
@@ -370,3 +370,5 @@
 Package: libsss-simpleifp-dev
 Section: libdevel
 Architecture: any
+Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
+Description: SSSD D-Bus responder helper library -- development files
