=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 	--with-syslog=journald \
 	--with-pid-path=/run \
 	--with-sssd-user=root \
-	--with-sudo
+	--with-sudo \
+	--with-subid
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
