## sssd 2.9.1

=== debian/changelog ===
sssd (2.9.1-2ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: race when GPO policy is being applied
    - debian/patches/CVE-2023-3758.patch: use hash to store intermediate
      results in src/providers/ad/ad_gpo.c.
    - CVE-2023-3758

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Jun 2024 10:52:26 -0400

sssd (2.9.1-2ubuntu2) mantic; urgency=medium

  * d/apparmor-profile: Add some entries to apparmor-profile file
    to get rid of the extraneous ALLOWED messages visible in the
    /var/log/syslog. (LP: #1999190)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Wed, 04 Oct 2023 16:58:26 +0200

sssd (2.9.1-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028722). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 26 Jul 2023 16:04:29 -0400

sssd (2.9.1-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Enable files provider.
    SSSD 2.9.0 has deprecated "id_provider = files", but that's still
    needed for smartcard authentication of local users.
    - d/rules: Build with "--with-files-provider".
    - d/sssd-common.install: Install libsss_files.so and sssd-files.5.
    (Closes: #1041438) (LP: #2028084)
  * d/rules: Remove deprecated options "--disable-files-domain".

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 25 Jul 2023 15:01:14 +0300

sssd (2.9.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018112). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Drop change:
    - d/rules: Fix 'find' syntax to remove '*.egg-info'
      files/directories.
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jul 2023 14:48:14 -0400

sssd (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * libnss-sss.postinst: Migrate to use 'case' like the other postinsts.
  * patches: Drop an upstreamed patch.
  * Drop deprecated simple-ifp library and files provider.
  * control, rules: Add sssd-passkey, and libfido2-dev to build-depends.
  * ci: Allow piuparts to fail, because handling of nsswitch.conf ownership
    is broken.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jul 2023 08:48:49 +0300
