=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sssd
 Section: utils
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
  Dominik George <natureshadow@debian.org>
 Build-Depends:
@@ -27,7 +28,8 @@
  libcurl4-openssl-dev,
  libdbus-1-dev,
  libdhash-dev,
- libgdm-dev [!s390x !kfreebsd-any !hurd-any],
+ libfido2-dev,
+ libgdm-dev [!s390x !kfreebsd-any !hurd-any !i386],
  libglib2.0-dev,
  libini-config-dev,
  libjansson-dev,
@@ -223,6 +225,13 @@
  Provides the LDAP back end that the SSSD can utilize to fetch identity data
  from and authenticate against an LDAP server.
 
+Package: sssd-passkey
+Architecture: any
+Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: System Security Services Daemon -- passkey helpers and plugins
+ Provides the helper processes and Kerberos plugins that are required to
+ enable authentication with a passkey token.
+
 Package: sssd-proxy
 Architecture: any
 Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -231,7 +240,7 @@
  PAM modules to leverage SSSD caching.
 
 Package: sssd-tools
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Depends:
  python3,
  python3-sss,
@@ -359,16 +368,3 @@
  Utility library to allow communication between sudo and SSSD for caching
  sudo rules by SSSD.
 
-Package: libsss-simpleifp0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- sssd-dbus (= ${binary:Version}),
-Description: SSSD D-Bus responder helper library
- Provides library that simplifies D-Bus API for the SSSD InfoPipe responder.
-
-Package: libsss-simpleifp-dev
-Section: libdevel
-Architecture: any
-Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
-Description: SSSD D-Bus responder helper library -- development files
