=== debian/rules ===
--- 
+++ 
@@ -40,14 +40,15 @@
 	--with-ssh \
 	--with-initscript=systemd \
 	--with-systemdunitdir=/lib/systemd/system \
-	--disable-files-domain \
+	--with-files-provider \
 	--with-smb-idmap-interface-version=6 \
 	--without-python2-bindings \
 	--with-syslog=journald \
 	--with-pid-path=/run \
 	--with-sssd-user=root \
 	--with-sudo \
-	--with-subid
+	--with-subid \
+	--with-passkey
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
