## sssd 2.9.2

=== debian/changelog ===
sssd (2.9.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:50:43 +0000

sssd (2.9.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040429). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
  * Add changes:
    - d/t/control: Remove "needs-sudo" restriction from smartcard tests,
      replace with "needs-root".  This is needed because Ubuntu's
      autopkgtest infrastructure doesn't support "needs-sudo".
    - d/t/sssd-smart-card-pam-auth-configs-tester.sh,
      d/t/sssd-softhism2-certificates-tests.sh: Add code to handle
      ${AUTOPKGTEST_NORMAL_USER}.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 03 Jan 2024 11:20:10 -0500

sssd (2.9.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control, rules: Add bc to build-depends, enable tests again.

  [ Marco Trevisan (Treviño) ]
  * debian: Add pam-auth-update SSSD Smart card configurations
  * debian/tests: Add tests for smart card verification

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Sep 2023 11:18:38 +0300

sssd (2.9.1-2ubuntu3) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 11:05:49 -0400
