=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Dominik George <natureshadow@debian.org>
 Build-Depends:
  autopoint,
+ bc,
  check <!nocheck>,
  cifs-utils,
  debhelper-compat (= 12),
