=== debian/rules ===
--- 
+++ 
@@ -52,9 +52,9 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-#	export CK_TIMEOUT_MULTIPLIER=10
-#	dh_auto_test -- VERBOSE=yes
-#	unset CK_TIMEOUT_MULTIPLIER
+	export CK_TIMEOUT_MULTIPLIER=10
+	dh_auto_test -- VERBOSE=yes
+	unset CK_TIMEOUT_MULTIPLIER
 endif
 
 override_dh_auto_install:
@@ -70,6 +70,10 @@
 	mkdir -p $(CURDIR)/debian/libpam-sss/usr/share/pam-configs
 	install -m644 debian/libpam-sss.pam-auth-update \
 		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss
+	install -m644 debian/libpam-sss-smart-card-optional.pam-auth-update \
+		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-optional
+	install -m644 debian/libpam-sss-smart-card-required.pam-auth-update \
+		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-required
 	install -m644 -D $(CURDIR)/debian/apparmor-profile \
 		$(CURDIR)/debian/sssd-common/etc/apparmor.d/usr.sbin.sssd
